<div class="container" style="margin-top: 25px;">
    <!-- header start -->
    <div>
      <p>Welcome</p>
      <div class="d-flex align-items-center flex-row-reverse pb-2">
        <button class="btn btn-primary" (click)='logout()'>Logout</button>
      </div>
    </div>
    <!-- header end-->
    <div style="float: right; margin-bottom: 20px;">
    <button class="btn btn-primary" (click)="openModal(template, null, null)">Add Category</button>
    </div>
    <table class="table">
        <thead>
          <tr>
            <th scope="col">No.</th>
            <th scope="col">Title</th>
            <th scope="col">Description</th>
            <th scope="col">Action</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let data of categoryData; let i = index">
            <th scope="row">{{i + 1}}</th>
            <td>{{data.title}}</td>
            <td>{{data.description}}</td>
            <td>
                <button class="btn btn-primary" style="margin-right: 10px;"
                routerLink="/content/{{data._id}}">
                Content
                </button>
                <button class="btn btn-info" style="margin-right: 10px;"
                (click)='openModal(template, data._id, i)'>
                Edit
                </button>
                <button class="btn btn-danger" (click)='deleteCategory(data._id)'>
                Delete
                </button>
            </td>
          </tr>
        </tbody>
      </table>
</div>

<!--Category Modal-->

<ng-template #template>
    <div class="modal-header">
      <h4 class="modal-title pull-left">{{editId ? 'Update Category': 'Add Category'}}</h4>
      <button type="button" class="close pull-right" aria-label="Close" (click)="closeModel()">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <form [formGroup]='categoryForm'>
        <div class="form-group">
            <input type="text" class="form-control" 
            formControlName='title' id='title' placeholder="Title">
        </div>
        <div class="form-group">
            <input type="text" class="form-control" 
            formControlName='description' id='description' placeholder="Description">
        </div>
        <button type="button" class="btn btn-primary" (click)='addCategory()'>{{editId ? 'Update' : 'Add'}}</button>
      </form>
    </div>
  </ng-template>
